package com.bootdo.datas.dao;

import java.util.List;
import java.util.Map;

import com.bootdo.datas.domain.GyDataDO;
import com.bootdo.datas.domain.GyUnitDO;
import com.bootdo.datas.dto.GyDataImportDTO;
import org.apache.ibatis.annotations.Mapper;

import com.bootdo.datas.domain.UnitDO;

/**
 * 数据处理者名称表
 * 
 * @author admin
 * @email admin@163.com
 * @date 2022-03-06 10:38:05
 */
@Mapper
public interface UnitDao {

    GyDataImportDTO get(Long id);

    List<GyUnitDO> list(Map<String, Object> map);

    int count(Map<String, Object> map);

    int save(UnitDO unit);


    int remove(Long ID);

    int batchRemove(Long[] ids);

    GyUnitDO getUnitById(Long id);


}
